<template>
    <div class="app-container">
        <div class="page-container">
            <el-form :model="queryParams" :inline="true" label-width="90" @submit.native.prevent>
                <el-form-item label="敏感词">
                    <el-input v-model="queryParams.name" placeholder="请输入"  @keyup.enter.native="handleQuery"></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button type="primary" @click="handleQuery">查询</el-button>
                    <el-button @click="handleReset">重置</el-button>
                </el-form-item>
            </el-form>
            <el-row class="mb10">
                <el-button type="primary" @click="handleAdd">新增敏感词</el-button>
                 <el-button type="primary"  plain @click="handleImport">批量导入敏感词</el-button>
               
            </el-row>
            <el-table :data="tableList">
                <el-table-column label="序号" width="55" type="index" align="center"></el-table-column>
                <el-table-column label="敏感词" prop="name" align="center"></el-table-column>
                <el-table-column label="创建时间" prop="createTime" align="center"></el-table-column>
                <el-table-column label="操作" align="center">
                    <template #default="{ row }">
                        <el-button type="text" @click="handleUpdate(row)">修改</el-button>
                        <el-button type="text" @click="handleDelete(row)">删除</el-button>
                    </template>
                </el-table-column>
            </el-table>
            <pagination v-show="total > 0" :total="total" :page.sync="queryParams.pageNum"
                :limit.sync="queryParams.pageSize" @pagination="getList" />
        </div>

        <!-- 表单 -->
        <form-dialog ref="formDialogRef" @handleOk="handleReset"></form-dialog>
        <!-- 批量导入 -->
         <batch-import ref="batchImportRef" @handleOk="handleReset"></batch-import>
    </div>
</template>

<script>
import { listData, setTop ,delData} from '@/api/sensitives';
import FormDialog from './FormDialog.vue';
import BatchImport from './BatchImport.vue';
export default {
    name: 'Sensitives',
    data() {
        return {
            queryParams: {
                pageNum: 1,
                pageSize: 10
            },
            tableList: [],
            total: 0
        }
    },
    components: {
        FormDialog,
        BatchImport
    },
    created() {

    },
    mounted() {
        this.getList()
    },
    methods: {
        // 列表数据
        getList() {
            listData(this.queryParams).then(res => {
                console.log(res)
                this.tableList = res.rows;
                this.total = res.total
            })
        },
        // 新增
        handleAdd() {
            this.$refs.formDialogRef.openModal()
        },
        // 修改
        handleUpdate(row) {
            this.$refs.formDialogRef.openModal(row)
        },
      
        // 删除
        handleDelete(row) {
            this.$modal.confirm('确认要删除敏感词为：' + row.name + '的数据吗？').then(function () {
                return delData(row.id);
            }).then(() => {
                this.$modal.msgSuccess("删除成功");
                this.getList()
            })
        },
        // 查询
        handleQuery() {
            this.queryParams.pageNum = 1;
            this.getList()
        },
        // 重置
        handleReset() {
            this.queryParams = {
                pageNum: 1,
                pageSize: 10
            }
            this.getList()
        },
        // 导入敏感词
        handleImport(){
            this.$refs.batchImportRef.openModal()
        },
    }
}
</script>

<style lang="scss" scoped>
.app-container {
    background-color: rgba(241, 242, 247, 1);
    height: calc(100vh - 50px);

    .page-container {
        background-color: white;
        height: 100%;
        border-radius: 6px;
        padding: 20px 30px;
        box-sizing: border-box;
        overflow: auto;
    }
}
</style>